> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# [YT1] Generate YouTube Video Ideas

> Generates 5-7 YouTube video idea cards with trending context for a given topic.



## OpenAPI

````yaml /api-reference/v1/v1.1.0_openapi.json post /action/youtube_idea_research_generate_youtube_ideas_action
openapi: 3.0.0
info:
  version: 1.1.0
  title: AI Actions - Get Data
  description: API specifications for 'Get Data' category AI actions.
  license:
    name: MIT
servers:
  - url: https://api-lr.agent.ai/v1
security:
  - bearerAuth: []
paths:
  /action/youtube_idea_research_generate_youtube_ideas_action:
    post:
      tags:
        - YouTube Creator Team
      summary: '[YT1] Generate YouTube Video Ideas'
      description: >-
        Generates 5-7 YouTube video idea cards with trending context for a given
        topic.
      operationId: youtubeIdeaResearchGenerateYoutubeIdeasAction
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                topic:
                  type: string
                content_style:
                  type: string
                  enum:
                    - educational
                    - case_study
                    - interview
                    - opinion
                    - product_demo
                    - listicle
                content_goal:
                  type: string
                  enum:
                    - lead_generation
                    - brand_awareness
                    - thought_leadership
                    - product_education
                    - community_building
                output_variable_name:
                  type: string
                  description: >-
                    Variable name for the result. Access as
                    {{youtube_ideas.ideas}}, etc.
                  default: youtube_ideas
                  pattern: ^[a-zA-Z][a-zA-Z0-9_]*$
              required:
                - topic
                - output_variable_name
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
        '401':
          description: Unauthorized - invalid or missing bearer token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
components:
  schemas:
    ActionResponse:
      type: object
      properties:
        status:
          type: integer
          format: int32
          description: HTTP status code of the action response
        response:
          type: object
          description: Response data from the action
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token from your account
        ([https://agent.ai/user/integrations#api](https://agent.ai/user/integrations#api))

````